dipendenze per ffmpeg di slackbuilds.org su -current64

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
Avatar utente
tornadomig
Linux 2.6
Linux 2.6
Messaggi: 536
Iscritto il: gio set 30, 2010 15:17
Nome Cognome: giorgio
Kernel: 4.4.9-generic
Desktop: xfce
Distribuzione: gentoo
Contatta:

dipendenze per ffmpeg di slackbuilds.org su -current64

Messaggioda tornadomig » mar dic 11, 2012 18:04

ciao a tutti

alcuni pacchetti dipendenze per ffmpeg di slackbuilds.org presentano errori di compilazione sulla libreria libogg.
su -current64 io installo sempre i pacchetti multilib di alienbob.
celt non compila quindi per ovviare bisogna passare delle opzioni allo slackbuild (esiste un post per questo su linuxquestions), io non ho fatto altro che mettere in pratica i consigli di un utente a cui e' capitato il mio problema.

Codice: Seleziona tutto

LDFLAGS="-L/usr/lib64" ./celt.SlackBuild
questo e' un esempio per celt
passando la seguente variante i pacchetti compileranno normalmente. io prendo sempre i pacchetti di ponce per -current.
per chi usa sbopkg basta mettere nelle "Options"

Codice: Seleziona tutto

LDFLAGS="-L/usr/lib64"


pare che anche libquicktime e transcode siano afflitti da questo problema. risolvibile utilizzando le informazioni appena riportate.
Ultima modifica di tornadomig il sab mar 16, 2013 13:23, modificato 1 volta in totale.
rm -rf / && rm -rf . && rm -rf *

Avatar utente
ZeroUno
Staff
Staff
Messaggi: 4866
Iscritto il: ven giu 02, 2006 14:52
Nome Cognome: Matteo Rossini
Slackware: current
Kernel: slack-current
Desktop: ktown-latest
Distribuzione: 01000000-current
Località: Roma / Castelli
Contatta:

Re: dipendenze per ffmpeg di slackbuilds.org su -current64

Messaggioda ZeroUno » sab dic 15, 2012 22:52

il problema é di gcc 4.7, e ormai é semi faq.
Fino a gcc 4.5 (slackware 13.37) alcune include e librerie venivano incluse implicitamente, ora vanno specificate. Tra queste é il path di ricerca delle librerie che va in ldflags o in ld.so.conf se la libreria che serve é dipendenza indiretta di una passata.

Mi sono spiegato da schifo ma ora non ho un pc davanti.
Packages finder: slakfinder.org | Slackpkg+, per aggiungere repository a slackpkg

Codice: Seleziona tutto

1011010 1100101 1110010 1101111 - 0100000 - 1010101 1101110 1101111

Avatar utente
tornadomig
Linux 2.6
Linux 2.6
Messaggi: 536
Iscritto il: gio set 30, 2010 15:17
Nome Cognome: giorgio
Kernel: 4.4.9-generic
Desktop: xfce
Distribuzione: gentoo
Contatta:

Re: dipendenze per ffmpeg di slackbuilds.org su -current64

Messaggioda tornadomig » dom dic 16, 2012 14:33

@grazie zerouno per la tua precisazione !
rm -rf / && rm -rf . && rm -rf *


Torna a “Packages”

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite